<script setup lang="ts">
import { useSalaryStore } from '@/stores/salary'
import { useAuthStore } from '@/stores/auth';

const salaryStore = useSalaryStore()
const authStore = useAuthStore()

function formatDate(date: any) {
  if (!date) return ''; // Return empty string if date is not provided
  return new Date(date).toLocaleDateString();
}
</script>

<template>
  <div>
    <v-dialog v-model="salaryStore.SlipDialog.value" persistent width="auto">
      <v-concontainer>
        <v-card class="d-flex align-center justify-center">
          <v-img src="./img/logo/logo_name_black.png" alt="Logo" width="120px" class="text-center mt-3"></v-img>

          <v-card-title style="text-align: center; font-size: 20px"><strong>PAY SLIP</strong>
          </v-card-title>

          <v-card-text class="info" style="text-align: center; margin-top: 0; padding-top: 0; line-height: 1">
            ************************************************************
          </v-card-text>
          <!-- <v-card-text style="
            text-align: center;
            margin-top: 0;
            margin-bottom: 2;
            padding-top: 0;
            line-height: 1;
          ">
        <small>Thank you for your work hard ♡</small>
      </v-card-text> -->
          <v-card-text>
            <v-row class="info">
              <v-col style="text-align: center">
                <v-row>
                  <v-col cols="12" md="6">Payment ID : {{ salaryStore.selected.value.id }}</v-col>
                </v-row>
                <v-row>
                  <v-col cols="12" md="6">Full Name : {{ salaryStore.selected.value.fullName }}</v-col>
                </v-row>
                <v-row>
                  <v-col cols="12" md="6">Position : {{ salaryStore.selected.value.role }}</v-col>
                </v-row>
              </v-col>
            </v-row>

            <v-row class="info mt-4 mb-2">
              <v-col cols="12" md="12">
                <v-table fixed-header>
                  <thead>
                    <tr>
                      <th>Id</th>
                      <th>ชื่อ-นามสกุล</th>
                      <th>ฐานเงินเดือน</th>
                      <th>จำนวนชั่วโมงรวม</th>
                      <th>จำนวนเงินรวม</th>
                    </tr>
                  </thead>
                  <tbody>
                    <td>{{ salaryStore.selected.value.id }}</td>
                    <td>{{ salaryStore.selected.value.fullName }}</td>
                    <td>{{ salaryStore.selected.value.pricePerHour }}</td>
                    <td>{{ salaryStore.selected.value.totalHour }}</td>
                    <td>{{ salaryStore.selected.value.totalPay }}</td>
                  </tbody>
                </v-table>
              </v-col>
            </v-row>

            <v-row>
              <v-col>
                <v-row>
                  <v-col cols="12" md="6" style="text-align: left" class="info">Pay Date : {{
      formatDate(salaryStore.selected.value.payDate)
    }}</v-col>
                  <v-col cols="12" md="6" style="text-align: right" class="info">Payer's Name : {{
        authStore.getCurrentUser()?.name
      }}</v-col>
                </v-row>
              </v-col>
            </v-row>
          </v-card-text>

          <v-card-actions class="justify-center mt-2 mb-2">
            <v-spacer></v-spacer>
            <v-btn style="background-color: white" elevation="4" variant="text"
              @click="salaryStore.SlipDialog.value = false">
              Close
            </v-btn>
            <v-btn style="background-color: white" elevation="4" variant="text" @click="() => {
      salaryStore.confirmPayment()
      salaryStore.SlipDialog.value = false
    }
      ">
              Confirm
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-concontainer>
    </v-dialog>
  </div>
</template>
